#include once "cddb.bi"

type FREEDB_CONNECT_INFO
	remote_hostname as string
	remote_port as ushort
	username as string
	hostname as string
end type

type FREEDB_DISC_INFO as CDDB_Disc_Info
type FREEDB_TRACK_INFO as CDDB_Track_Info
type FREEDB_QUERY_REQUEST as CDDB_Query_Request
type FREEDB_QUERY_RESULT as CDDB_Query_Result
type FREEDB_READ_REQUEST as CDDB_Read_Request
type FREEDB_READ_RESULT as CDDB_Read_Result

declare function FREEDB_Connect _
	( _
		byref conn as FREEDB_CONNECT_INFO _
	) as integer

declare sub FREEDB_Disconnect _
	( _
	)

declare function FREEDB_Query _
	( _
		byref query as FREEDB_QUERY_REQUEST, _
		byref result as FREEDB_QUERY_RESULT _
	) as integer

declare function FREEDB_Read _
	( _
		byref query as FREEDB_READ_REQUEST, _
		byref result as FREEDB_READ_RESULT _
	) as integer

declare function FREEDB_GetDiscography _
	( _
		byref file as string _
	) as integer
